<?php
# Name: PHP版程氏音乐CMS管理系统 v3.0
# Author: 程氏<web@chshcms.com> [QQ:848769359]
# Homepage:http://www.chshcms.cn/
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
header("Cache-Control: no-cache, must-revalidate"); 
header("Pragma: no-cache");
if(!@eregi($_SERVER['SERVER_NAME'],$_SERVER['HTTP_REFERER'])){exit('QQ:848769359');}
include_once("../lib/cs_conn.php");
include_once("../lib/cs_common.php");

$id=CS_Request('id');
global $db;
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>
<data>";
     $ids=explode(",",$id);
     if(count($ids)<2){
            $Playurl='http://'.$_SERVER['HTTP_HOST'].CS_WebPath.'public/url.php/'.$id.'/csdj.mp3';
	    echo '<music name="'.iconv('GB2312', 'UTF-8', $row['CS_Name']).'" src="'.iconv('GB2312', 'UTF-8', $Playurl).'"/>';
     }else{
        $showstr="";
	for($j=0;$j<count($ids);$j++){
            $Playurl='http://'.$_SERVER['HTTP_HOST'].CS_WebPath.'public/url.php/'.$ids[$j].'/csdj.mp3';
	    echo '<music name="'.iconv('GB2312', 'UTF-8', $row['CS_Name']).'" src="'.iconv('GB2312', 'UTF-8', $Playurl).'"/>
                 ';
	}
     }
echo "</data>";
?>